libfm4_1.3.1-1+b1_amd64.deb


Advertisement

Description

libfm4 - file management support (core library)

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package filename libfm4_1.3.1-1+b1_amd64.deb
Package name libfm4
Package version 1.3.1
Package release 1+b1
Package architecture amd64
Package type deb
Category libs role::shared-lib
Homepage http://pcmanfm.sourceforge.net/
License -
Maintainer Debian LXDE Maintainers <pkg-lxde-maintainers@lists.alioth.debian.org>
Download size 128.88 KB
Installed size 365.00 KB

Alternatives

Package Version Architecture Repository
libfm4_1.3.1-1+b1_i386.deb 1.3.1 i386 Debian Main
libfm4 - - -

Requires

Name Value
libc6 >= 2.14
libdbus-glib-1-2 >= 0.78
libexif12 >= 0.6.21-1~
libfm-data >= 1.2.0~
libglib2.0-0 >= 2.37.3
libmenu-cache3 >= 0.5.0
lxmenu-data -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libfm4_1.3.1-1+b1_amd64.deb
Source Package libfm

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libfm4 deb package:
    # sudo apt-get install libfm4

Files

Path
/usr/lib/x86_64-linux-gnu/libfm.so.4
/usr/lib/x86_64-linux-gnu/libfm.so.4.1.2
/usr/share/doc/libfm4/AUTHORS
/usr/share/doc/libfm4/README
/usr/share/doc/libfm4/changelog.Debian.amd64.gz
/usr/share/doc/libfm4/changelog.Debian.gz
/usr/share/doc/libfm4/changelog.gz
/usr/share/doc/libfm4/copyright

Changelog

2018-12-17 - Andriy Grytsenko <andrej@rep.kiev.ua>
libfm (1.3.1-1) unstable; urgency=medium
* Removing debian/source/options file, let lintian get easy.
* Merging upstream version 1.3.1 (Closes: #907945, #914150).
* Bump Standards-Version to 4.2.1.
* Bump debhelper compat to 11.
* Updating override soname 4.1.1 -> 4.1.2.
2018-04-28 - Andriy Grytsenko <andrej@rep.kiev.ua>
libfm (1.3.0.2-1) unstable; urgency=medium
* Updating debian/copyright file.
* Merging upstream version 1.3.0.2.
* Updating override soname 4.1.0 -> 4.1.1.
2018-04-21 - Andriy Grytsenko <andrej@rep.kiev.ua>
libfm (1.3.0-1) unstable; urgency=medium
* Adding support for 'nodoc' option in $(DEB_BUILD_OPTIONS).
* Adding Multi-Arch: foreign for libfm-doc package.
* Dropping deprecated priority 'extra' in favor of 'optional'.
* Replacing 'http' with 'https' in debian/copyright file.
* Disabling --enable-gtk-doc if libfm-doc isn't to build (thanks to:
Helmut Grohne <helmut@subdivi.de>) (Closes: #890369).
* Replacing override 'debian-watch-may-check-gpg-signature' with
'debian-watch-does-not-check-gpg-signature'.
* Bump debhelper compat to 10.
* Bump Standards-Version to 4.1.4.
* Adding eject as recommended by libfm-gtk4 (Closes: #842447).
* Merging upstream version 1.3.0 (Closes: #876614).
* Updating override soname 4.0.5 -> 4.1.0.
* Updating symbols files.
2016-12-10 - Andriy Grytsenko <andrej@rep.kiev.ua>
libfm (1.2.5-1) unstable; urgency=medium
* Removing --enable-debug from configure, that enables optimization.
* Making package friendly to porters (using stage1 build profile).
* Merging upstream version 1.2.5 (Closes: #793818, #823359, #835418,
LP: #1408446, #1460083, #1645079).
* Using https for VCS fields in debian/control file.
* Updating override 4.0.3 -> 4.0.5
* Bump Standards-Version to 3.9.8.
2016-02-21 - Andriy Grytsenko <andrej@rep.kiev.ua>
libfm (1.2.4-1) unstable; urgency=medium
* Adding libfm-tools.maintscript to clean obsolete pref-apps.conf
(Closes: #768231).
* Using dh-autoreconf (Closes: #778936).
* Changing Maintainer e-mail to Alioth based one.
* Bump Standards-Version to 3.9.7.
* Merging upstream version 1.2.4.
* Removing 90-fix-mime-null-crash.patch (included in upstream).
2014-10-14 - Andriy Grytsenko <andrej@rep.kiev.ua>
libfm (1.2.3-1) unstable; urgency=low
* Bump Standards-Version to 3.9.6.
* Merging upstream version 1.2.3.
* Removing hack against symlink /usr/include/libfm, issue was fixed by
upstream.
* debian/copyright: update copyright data.
* Adding lintian-overrides files with required comments.
* Setting NEWS file as ustream changelog (satisfy lintian notice).
* Adding 90-fix-mime-null-crash.patch from upstream: fix rare crash.
2014-09-12 - Andriy Grytsenko <andrej@rep.kiev.ua>
libfm (1.2.2.1-3) unstable; urgency=low
* Fixing FTBFS on some architectures (i386, etc.).
* Revert "Fixing priorities on -dev and -doc packages: should be 'extra'."
2014-09-10 - Andriy Grytsenko <andrej@rep.kiev.ua>
libfm (1.2.2.1-2) unstable; urgency=low
* Fixing priorities on -dev and -doc packages: should be 'extra'.
* Adding lxpolkit to apport report (see bug 760397 in BTS).
* Fix handling of symlink in libfm-dev package (Closes: #753778).
2014-08-27 - Andriy Grytsenko <andrej@rep.kiev.ua>
libfm (1.2.2.1-1) unstable; urgency=low
* Replacing direct Pre-Depends on multiarch-support (fix lintian warning).
* Adding dependency on libfm-modules from libfm-tools.
* Adding libglib2.0-dev and libgtk2.0-dev into Depends for -dev packages.
* Updating multiarch support, multiarch-aware packages should have
Multi-Arch field.
* Adding libfm-extra.pc into libfm-dev package, it was missing.
* Merging upstream version 1.2.2.1.
* Removing obsolete target override_dh_builddeb from debian/rules file.
* Updating debian/copyright file.

See Also

Package Description
libfml-dev_0.1-5+b1_amd64.deb development headers for libfml
libfml0_0.1-5+b1_amd64.deb library for assembling Illumina short reads in small regions
libfmt-dev_5.3.0+ds-2_amd64.deb fast type-safe C++ formatting library -- development files
libfmt-doc_5.3.0+ds-2_all.deb fast type-safe C++ formatting library -- documentation
libfolia-dev_1.15-1+b1_amd64.deb Implementation of the FoLiA document format (C++ headers)
libfolia9_1.15-1+b1_amd64.deb Implementation of the FoLiA document format
libfolks-dev_0.11.4-1.2_amd64.deb library to aggregates people into metacontact - development files
libfolks-dummy-dev_0.11.4-1.2_amd64.deb Dummy backend for libfolks - development files
libfolks-dummy25_0.11.4-1.2_amd64.deb Dummy backend for libfolks
libfolks-eds-dev_0.11.4-1.2_amd64.deb Evolution-data-server backend for libfolks - development files
libfolks-eds25_0.11.4-1.2_amd64.deb Evolution-data-server backend for libfolks
libfolks-telepathy-dev_0.11.4-1.2_amd64.deb Telepathy backend for libfolks - development files
libfolks-telepathy25_0.11.4-1.2_amd64.deb Telepathy backend for libfolks
libfolks25_0.11.4-1.2_amd64.deb library to aggregates people into metacontacts
libfoma-dev_0.9.18+r243-6_all.deb Transitional package for libfoma0-dev
Advertisement
Advertisement